%define upstream_version 20100531

Name:           hyphen-tk
Version:        0.%{upstream_version}
Release:        %mkrel 10
Summary:        Turkmen hyphenation rules
License:        Public Domain
Group:          Text tools
URL:            http://tug.org/tex-hyphen
Source0:        http://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-tk.tex
Patch0:         %{name}-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-tk

%description
Turkmen hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/hyph-tk.tex .
%patch0 -p0 -b .clean

%build
substrings.pl hyph-tk.tex hyph_tk_TM.dic UTF-8
echo "Created with substring.pl by substrings.pl hyph-tk.tex hyph_tk_TM.dic UTF-8" > README
echo "Original in-line credits were:" >> README
echo "" >> README
head -n 15 hyph-tk.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_tk_TM.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/hyph_tk_TM.dic


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20100531-10.mga8
+ Revision: 1491599
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20100531-9.mga7
+ Revision: 1263484
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.20100531-8.mga6
+ Revision: 938308
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20100531-7.mga5
+ Revision: 750789
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20100531-6.mga5
+ Revision: 680393
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.20100531-5.mga4
+ Revision: 523116
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 0.20100531-4.mga3
+ Revision: 406374
- requires locales-hyphen-tk (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 0.20100531-3.mga3
+ Revision: 354014
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 0.20100531-2.mga2
+ Revision: 194675
- rebuild against new hyphen-devel
- clean spec

* Sat Mar 12 2011 ahmad <ahmad> 0.20100531-1.mga1
+ Revision: 70200
- fix group
- imported package hyphen-tk


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100531-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Caolan McNamara <caolanm@redhat.com> - 0.20100531-1
- latest version

* Sat Apr 03 2010 Caolan McNamara <caolanm@redhat.com> - 0.20100319-1
- latest version

* Tue Mar 16 2010 Caolan McNamara <caolanm@redhat.com> - 0.20100315-1
- initial version
